(load (merge-pathnames "../common.lisp" *load-truename*))

(defconstant test-data
  '(1721
    979
    366
    299
    675
    1456))

(defun day1p1 (numbers)
  (loop named top for x in numbers do
        (loop for y in numbers
              when (= 2020 (+ x y))
              do (return-from top (* x y)))))


(defun day1p2 (numbers)
  (loop named top for z in numbers do
        (loop for y in numbers do
              (loop for x in numbers
                    when (= 2020 (+ x y z))
                    do (return-from top (* x y z))))))

(defconstant input (read-data #'parse-integer))
(format t "Part 1: ~D~%" (day1p1 input))
(format t "Part 2: ~D~%" (day1p2 input))
