module Test (main) where
import Main (part1, part2)
import Control.Monad (sequence)

testInput = [ "1-3 a: abcde"
            , "1-3 b: cdefg"
            , "2-9 c: ccccccccc"]

ioAssert True _ = return ()
ioAssert False msg = fail msg

tests = [ (ioAssert (2 == part1 testInput) "part1")
        , (ioAssert (1 == part2 testInput) "part2")
        ]

main :: IO ()
main = sequence_ tests >> putStrLn "ok" >>= return
