#!/usr/bin/env bash

preprocess() {
	cat "$1" \
		| awk '{if ($1 != "") { sum += $1 } else { print sum; sum = 0 }} END { print sum }' \
		| sort -n -r
}

solve() {
	head -n "$2" | awk "{ sum += \$1 } END { print \"Part $1: \" sum }"
}

preprocess $1 | tee >(solve 1 1) >(solve 2 3) >/dev/null
