﻿let solution markerLength str =
    str
    |> Seq.windowed markerLength
    |> Seq.findIndex (fun chunk -> Set.ofSeq(chunk).Count = markerLength)
    |> (+) markerLength

let part1 = solution 4
let part2 = solution 14

[<EntryPoint>]
let main args =
    let input = System.IO.File.ReadAllLines(args.[0]).[0]

    printfn "Part 1: %d" (part1 input)
    printfn "Part 2: %d" (part2 input)
    0
