{
  description = "A flake for pulling in dependencies.";

  inputs = {

    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
      in rec {
        devShells.default = with pkgs; mkShell {
          buildInputs = [ clojure ];
        };
      }
    );
}
